'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ParseServer = exports.TestUtils = exports.FileSystemAdapter = exports.GCSAdapter = exports.S3Adapter = undefined;

var _winston = require('winston');

var _winston2 = _interopRequireDefault(_winston);

var _ParseServer2 = require('./ParseServer');

var _ParseServer3 = _interopRequireDefault(_ParseServer2);

var _parseServerS3AdapterSecure = require('parse-server-s3-adapter-secure');

var _parseServerS3AdapterSecure2 = _interopRequireDefault(_parseServerS3AdapterSecure);

var _parseServerFsAdapter = require('parse-server-fs-adapter');

var _parseServerFsAdapter2 = _interopRequireDefault(_parseServerFsAdapter);

var _TestUtils = require('./TestUtils');

var _TestUtils2 = _interopRequireDefault(_TestUtils);

var _deprecated = require('./deprecated');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Factory function
var _ParseServer = function _ParseServer(options) {
  var server = new _ParseServer3.default(options);
  return server.app;
};
// Mount the create liveQueryServer
_ParseServer.createLiveQueryServer = _ParseServer3.default.createLiveQueryServer;

var GCSAdapter = (0, _deprecated.useExternal)('GCSAdapter', 'parse-server-gcs-adapter');

exports.default = _ParseServer3.default;
exports.S3Adapter = _parseServerS3AdapterSecure2.default;
exports.GCSAdapter = GCSAdapter;
exports.FileSystemAdapter = _parseServerFsAdapter2.default;
exports.TestUtils = _TestUtils2.default;
exports.ParseServer = _ParseServer;